## Shared module ##
Overview = require 'overview'

Overview.gridHeightForiPhone5 = 130
Overview.gridHeightForiPhone6 = 140
Overview.scaleForiPhone5 = 0.73

## EVENTS LISTS ##
eventsLists = [
	{
	color: Overview.green
	lists: [{
				title: "Swipe"
				items: ["onSwipeStart", "onSwipe", "onSwipeEnd"]
			}]
	}
	{
	color: Overview.purple
	lists: [{
				title: "Swipe left or right"
				items: ["onSwipeLeftStart","onSwipeLeft","onSwipeLeftEnd","onSwipeRightStart", "onSwipeRight","onSwipeRightEnd"]
			}]
	}
	{
	color: Overview.orange
	lists: [{
				title: "Swipe up or down"
				items: ["onSwipeUpStart", "onSwipeUp", "onSwipeUpEnd", "onSwipeDownStart", "onSwipeDown", "onSwipeDownEnd"]
			}]
	}
]

Overview.makeEventsLists eventsLists

## Reflow for phones ##
Overview.reflow()

if Utils.isPhone() or (Framer.Device.deviceType.substring 0, 12) is "apple-iphone"
	if Screen.height is 667
		layerA.size = 100
	else 
		layerA.size = 90

## EVENTS ##
layerA.onSwipeStart ->
	Overview.alldots[0].stateSwitch "active"
	Overview.alldots[0].animate "default"

layerA.onSwipe ->
	Overview.alldots[1].stateSwitch "active"
	Overview.alldots[1].animate "default"

layerA.onSwipeEnd ->
	Overview.alldots[2].stateSwitch "active"
	Overview.alldots[2].animate "default"

layerA.onSwipeLeftStart ->
	Overview.alldots[3].stateSwitch "active"
	Overview.alldots[3].animate "default"

layerA.onSwipeLeft ->
	Overview.alldots[4].stateSwitch "active"
	Overview.alldots[4].animate "default"

layerA.onSwipeLeftEnd ->
	Overview.alldots[5].stateSwitch "active"
	Overview.alldots[5].animate "default"

layerA.onSwipeRightStart ->
	Overview.alldots[6].stateSwitch "active"
	Overview.alldots[6].animate "default"

layerA.onSwipeRight ->
	Overview.alldots[7].stateSwitch "active"
	Overview.alldots[7].animate "default"

layerA.onSwipeRightEnd ->
	Overview.alldots[8].stateSwitch "active"
	Overview.alldots[8].animate "default"

layerA.onSwipeUpStart ->
	Overview.alldots[9].stateSwitch "active"
	Overview.alldots[9].animate "default"

layerA.onSwipeUp ->
	Overview.alldots[10].stateSwitch "active"
	Overview.alldots[10].animate "default"

layerA.onSwipeUpEnd ->
	Overview.alldots[11].stateSwitch "active"
	Overview.alldots[11].animate "default"

layerA.onSwipeDownStart ->
	Overview.alldots[12].stateSwitch "active"
	Overview.alldots[12].animate "default"

layerA.onSwipeDown ->
	Overview.alldots[13].stateSwitch "active"
	Overview.alldots[13].animate "default"

layerA.onSwipeDownEnd ->
	Overview.alldots[14].stateSwitch "active"
	Overview.alldots[14].animate "default"
